/**
 * 
 */
package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;



/**
 * @author DNS   TSAIG
 *
 */
public class AuthenticationLevel extends AbstractNamedActiveLookup {

	private static final long serialVersionUID = -7538242930114997514L;
	
	public static final Code  ANONYMOUS = new Code("100");
	public static final Code  DS_LOGON_LEVEL_1 = new Code("101");
	public static final Code  DS_LOGON_LEVEL_2 = new Code("102");
	public static final Code  DS_LOGON_LEVEL_3 = new Code("103");
	public static final Code  DS_LOGON_LEVEL_4 = new Code("104");
	
	public static class Code extends AbstractCode
	{
		private static final long serialVersionUID = -77002303255434690L;

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);		
		}
	}
	
	
	 /**
	  * Default constructor.
	  */
	public AuthenticationLevel() {
		super();
	}
}
